> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateCompanyLocation

> 
The `updateCompanyLocation` API updates the company's location information.

### What it does:

- Updates company's mailing address, filing address, and employee work locations and allows re-designation of a location as any of these types.
- Modifies existing location details for payroll tax compliance purposes

### Notes:

- Locations that have employees registered to them must be designated as a WorkLocation
- The company must retain at least one Filing address and Mailing address for tax compliance



## OpenAPI

````yaml put /adminPortal/updateCompanyLocation
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/updateCompanyLocation:
    put:
      tags: []
      summary: updateCompanyLocation
      description: >-

        The `updateCompanyLocation` API updates the company's location
        information.


        ### What it does:


        - Updates company's mailing address, filing address, and employee work
        locations and allows re-designation of a location as any of these types.

        - Modifies existing location details for payroll tax compliance purposes


        ### Notes:


        - Locations that have employees registered to them must be designated as
        a WorkLocation

        - The company must retain at least one Filing address and Mailing
        address for tax compliance
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateCompanyLocation
                  example: updateCompanyLocation
                companyLocation:
                  type: object
                  properties:
                    companyLocationId:
                      type: string
                      format: uuid
                    companyLocation:
                      type: string
                      title: Enum
                      example: 'Suggested Values : Main, Branch, Corporate'
                    address1:
                      type: string
                      maxLength: 40
                    address2:
                      type: string
                      maxLength: 40
                    city:
                      type: string
                      maxLength: 40
                    state:
                      type: string
                      title: Enum
                      maxLength: 2
                      enum:
                        - TX
                        - AK
                        - ND
                        - IL
                        - MA
                        - KS
                        - AS
                        - AL
                        - UT
                        - SD
                        - MI
                        - DC
                        - GA
                        - SC
                        - TN
                        - OK
                        - CO
                        - CA
                        - ME
                        - MO
                        - WY
                        - MD
                        - VT
                        - NM
                        - CT
                        - AZ
                        - WI
                        - VA
                        - WV
                        - NJ
                        - DE
                        - NC
                        - PR
                        - IN
                        - MT
                        - NH
                        - HI
                        - IA
                        - KY
                        - WA
                        - OH
                        - FL
                        - OR
                        - MP
                        - GU
                        - MN
                        - MS
                        - PA
                        - NE
                        - RI
                        - ID
                        - LA
                        - NY
                        - NV
                        - AR
                    zipcode:
                      type: string
                      title: Must be Five or Nine Digits
                    country:
                      type: string
                      enum:
                        - US
                      title: Currently only US is supported
                    phoneNumber:
                      type: string
                      title: Must be 10 Digits
                      example: '9874563210'
                    isWorkLocation:
                      type: boolean
                    isMailingAddress:
                      type: boolean
                    isFilingAddress:
                      type: boolean
                  required:
                    - companyLocationId
                  x--orders:
                    - companyLocationId
                    - companyLocation
                    - address1
                    - city
                    - state
                    - zipcode
                    - country
                    - phoneNumber
                    - isWorkLocation
                    - isMailingAddress
                    - isFilingAddress
              required:
                - method
                - companyLocation
              x--orders:
                - method
                - companyLocation
            example:
              method: updateCompanyLocation
              companyLocation:
                companyLocationId: A4EA3BD6-2821-4F94-83A6-5C126991AB28
                companyLocation: Main
                address1: 8435 Colard Ln
                address2: ''
                city: Lyons
                state: CO
                zipcode: '80540'
                country: US
                phoneNumber: '9889890987'
                isWorkLocation: true
                isMailingAddress: true
                isFilingAddress: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  companyLocation:
                    type: object
                    properties:
                      companyLocationId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - companyLocationId
                      - status
                    x--orders:
                      - CompanyLocationID
                      - Status
                      - Message
                required:
                  - companyLocation
                x--orders:
                  - CompanyLocation
              example:
                companyLocation:
                  companyLocationId: A4EA3BD6-2821-4F94-83A6-5C126991AB28
                  status: Verified
                  message: Company Location has been update successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Company Location should not exceed 20 characters.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````